=begin
#Wire4RestAPI

#Referencia de la API de Wire4

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.10

=end

require 'spec_helper'
require 'json'

# Unit tests for Wire4Client::TransferenciasSPEIApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'TransferenciasSPEIApi' do
  before do
    # run before each test
    @instance = Wire4Client::TransferenciasSPEIApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of TransferenciasSPEIApi' do
    it 'should create an instance of TransferenciasSPEIApi' do
      expect(@instance).to be_instance_of(Wire4Client::TransferenciasSPEIApi)
    end
  end

  # unit tests for create_authorization_transactions_group
  # Agrupa transacciones bajo un request_id 
  # Agrupa transacciones SPEI/SPID en un mismo transaction_id, posteriormente genera la dirección URL del centro de autorización para la confirmación de las transacciones. &lt;br&gt;&lt;br&gt;Las transacciones deben estar en estatus PENDING y pertenecer a un mismo contrato.
  # @param authorization Header para token
  # @param subscription Es el Identificador de la suscripción.
  # @param subscription2 Objeto con la información para agrupar transacciones existentes y autorizarlas de forma conjunta.
  # @param [Hash] opts the optional parameters
  # @return [TokenRequiredResponse]
  describe 'create_authorization_transactions_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for drop_transactions_pending_using_delete
  # Eliminación de transferencias SPEI® pendientes
  # Elimina un conjunto de transferencias en estado pendiente de confirmar o autorizar, en la cuenta del cliente Monex relacionada a la suscripción.&lt;br&gt;&lt;br&gt;&lt;b&gt;Nota:&lt;/b&gt; Las transferencias no deben haber sido confirmadas o autorizadas por el cliente.
  # @param authorization Header para token
  # @param request_id Identificador de las transferencias a eliminar.
  # @param subscription Es el identificador de la suscripción a esta API.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :order_id Listado de identificadores dentro del request_id para eliminar.
  # @return [nil]
  describe 'drop_transactions_pending_using_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for incoming_spei_transactions_report_using_get
  # Consulta de transferencias recibidas
  # Realiza una consulta de las transferencias recibidas (depósitos) en la cuenta del cliente Monex relacionada a la suscripción, las transferencias que regresa este recuso son únicamente las transferencias  recibidas durante el día en el que se realiza la consulta. Para consultar transacciones que se encuentran en otras fechas se debe utilizar los parámetros de fecha inicial (beginDate) y fecha final (endDate), siempre deben de ir las dos ya que en caso de que falte una marcará error la consulta, si faltan las dos la consulta lanzará solo las del día, como se describe al inicio. El formato para las fechas es \&quot;yyyy-MM-dd\&quot;
  # @param authorization Header para token
  # @param subscription Es el identificador de la suscripción a esta API.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :begin_date Fecha inicial para filtrar los depósitos, se espera en formato &#39;yyyy-MM-dd&#39;
  # @option opts [String] :end_date Fecha final para filtrar los depósitos, se espera en formato &#39;yyyy-MM-dd&#39;
  # @return [Array<Deposit>]
  describe 'incoming_spei_transactions_report_using_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for out_comming_spei_request_id_transactions_report_using_get
  # Consulta de transferencias de salida por identificador de petición
  # Consulta las transferencias de salida registradas en una petición, las transferencias que regresa este recuso son únicamente las transferencias de salida agrupadas al identificador de la petición que se generó al hacer el registro de las transacciones el cuál se debe especificar como parte del path de este endpoint.
  # @param authorization Header para token
  # @param request_id Identificador de la petición a buscar.
  # @param subscription Es el identificador de la suscripción a esta API.
  # @param [Hash] opts the optional parameters
  # @return [PaymentsRequestId]
  describe 'out_comming_spei_request_id_transactions_report_using_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for outgoing_spei_transactions_report_using_get
  # Consulta de transferencias realizadas
  # Consulta las transferencias realizadas en la cuenta del cliente Monex relacionada a la suscripción, las transferencias que regresa este recuso son únicamente las transferencias recibidas en el día en el que se realiza la consulta.&lt;br&gt;Se pueden realizar consultas por &lt;strong&gt;order_id&lt;/strong&gt; al realizar este tipo de consultas no importa el día en el que se realizó la transferencia
  # @param authorization Header para token
  # @param subscription Es el identificador de la suscripción a esta API.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :order_id Es el identificador de la orden a buscar.
  # @return [Array<Payment>]
  describe 'outgoing_spei_transactions_report_using_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for register_outgoing_spei_transaction_using_post
  # Registro de transferencias
  # Se registra un conjunto de transferencias (una o más) a realizar en la cuenta del cliente Monex relacionada a la suscripción. En la respuesta se proporcionará una dirección URL que lo llevará al centro de autorización para que las transferencias sean confirmadas (autorizadas) por el cliente para que se efectúen, para ello debe ingresar la llave electrónica (Token).&lt;br&gt;  Nota: Debe considerar que el concepto de cada una de las transacciones solo debe contener caracteres alfanuméricos por lo que en caso de que se reciban caracteres como ñ o acentos serán sustituidos por n o en su caso por la letra sin acento. Los caracteres no alfanuméricos como pueden ser caracteres especiales serán eliminados.
  # @param authorization Header para token
  # @param subscription Es el identificador de la suscripción a esta API.
  # @param transactions Información de las transferencias SPEI de salida
  # @param [Hash] opts the optional parameters
  # @return [TokenRequiredResponse]
  describe 'register_outgoing_spei_transaction_using_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
